Name:           anaconda-webui
Version:        10
Release:        1.20240802121520481404.main.69.g59e4ac5%{?dist}
Summary:        Anaconda installer Web interface
License:        LGPL-2.1-or-later AND MIT
URL:            https://github.com/rhinstaller/%{name}

Source0:        anaconda-webui-10.69.g59e4ac5.tar.xz
BuildArch:      noarch
BuildRequires:  libappstream-glib
BuildRequires:  make
BuildRequires:  gettext

%global anacondacorever 0

%if 0%{?fedora} >= 40
%global anacondacorever 40.22.2
%endif

%if 0%{?fedora} >= 41
%global anacondacorever 41.2
%endif

%global cockpitver 275
%global cockpitstorver 311

Requires: cockpit-storaged >= %{cockpitstorver}
Requires: cockpit-bridge >= %{cockpitver}
Requires: cockpit-ws >= %{cockpitver}
Requires: anaconda-core  >= %{anacondacorever}
# Firefox dependency needs to be specified there as cockpit web-view does not have a hard dependency on Firefox as
# it can often fall back to a diferent browser. This does not work in the limited installer
# environment, so we need to make sure Firefox is available. Exclude on RHEL, only Flatpak version will be there.
%if ! 0%{?rhel}
Requires: firefox
%endif
%if 0%{?fedora}
Requires: fedora-logos
%endif

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.4
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-log-viewer)) = 5.2.0
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.4
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(memoize-one)) = 5.2.1
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.2.0
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.2.0
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.2
Provides: bundled(npm(tslib)) = 2.6.3

%description
Anaconda installer Web interface

%prep
%setup -q -n anaconda-webui

%build
# Nothing to build

%install
%make_install PREFIX=/usr
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%check
exit 0
# We have some integration tests, but those require running a VM, so that would
# be an overkill for RPM check script.

%files
%dir %{_datadir}/cockpit/anaconda-webui
%doc README.rst
%license LICENSE dist/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/logo.svg
%{_datadir}/cockpit/anaconda-webui/qr-code-feedback.svg
%{_datadir}/cockpit/anaconda-webui/index.js.LEGAL.txt
%{_datadir}/cockpit/anaconda-webui/index.html
%{_datadir}/cockpit/anaconda-webui/index.js.gz
%{_datadir}/cockpit/anaconda-webui/index.js.map
%{_datadir}/cockpit/anaconda-webui/index.css.gz
%{_datadir}/cockpit/anaconda-webui/index.css.map
%{_datadir}/cockpit/anaconda-webui/manifest.json
%{_datadir}/metainfo/org.cockpit-project.anaconda-webui.metainfo.xml
%{_datadir}/cockpit/anaconda-webui/po.*.js.gz
%dir %{_datadir}/anaconda/firefox-theme
%dir %{_datadir}/anaconda/firefox-theme/default
%dir %{_datadir}/anaconda/firefox-theme/default/chrome
%{_datadir}/anaconda/firefox-theme/default/user.js
%{_datadir}/anaconda/firefox-theme/default/chrome/userChrome.css
%dir %{_datadir}/anaconda/firefox-theme/live
%dir %{_datadir}/anaconda/firefox-theme/live/chrome
%{_datadir}/anaconda/firefox-theme/live/user.js
%{_datadir}/anaconda/firefox-theme/live/chrome/userChrome.css
%{_libexecdir}/webui-desktop


# The changelog is automatically generated and merged
%changelog
* Fri Aug 02 2024 Packit <hello@packit.dev> - 10-1.20240802121520481404.main.69.g59e4ac5
- Makefile: Update Cockpit lib to 17d8d0539eaa0c551dae1b57c50fce84 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- cockpit-ci: Update container to 2024-07-24 (Cockpit Project)
- tests: introduce expensive scenario for the Fedora Plan tests (Katerina Koukiou)
- tests: we need to be consistent with TestFedoraPlans (see plural) prefix (Katerina Koukiou)
- test: we dont import whole anacondalib module (Katerina Koukiou)
- tests: expand two more tests to cover the test plans requirements (Katerina Koukiou)
- tests: expand Fedora test plan mapped tests to check the expected target system layout (Katerina Koukiou)
- tests: introduce QA:Testcase partitioning guided multi empty all (Katerina Koukiou)
- tests: introduce QA:Testcase partitioning guided multi select (Katerina Koukiou)
- tests: create test_plan decorator to annotate test methods with the test plan URL (Katerina Koukiou)
- tests: remove failing pixel test (Katerina Koukiou)
- tests: efi is false by default in our tests (Katerina Koukiou)
- tests: move encryption screen tests to seperate file (Katerina Koukiou)
- storage: show icon for encrypted LUKS devices in Reclaim dialog (Katerina Koukiou)
- tests: merge testLocalDisksSyncNew with testLocalStandardDisks (Katerina Koukiou)
- tests: split the the encryption test code (Katerina Koukiou)
- tests: adjust anacondalib imports (Katerina Koukiou)
- Makefile: Update Cockpit lib to f2ce187582a17144e3b90a6a8e09daea (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- review: show resized partitions that belong to an OS (Katerina Koukiou)
- storage: give hint on how to resize bitlocker encrypted windows partitions (Katerina Koukiou)
- infra: bump qunit from 2.21.0 to 2.21.1 (dependabot[bot])
- infra: bump the eslint group with 2 updates (dependabot[bot])
- cockpit-ci: Update container to 2024-07-04 (Cockpit Project)
- infra: introduce task container update workflow (Katerina Koukiou)
- tests: add erase all test with windows base OS (Katerina Koukiou)
- Makefile: Update Cockpit lib to 516c15509f33d15827decc4e0cdf97b7 (Cockpit Project)
- po: Update from Fedora Weblate (GitHub Workflow)
- storage: reclaim: catch the errors when appying actions and display these to the user (Katerina Koukiou)
- infra: bump sass from 1.77.6 to 1.77.8 (dependabot[bot])
- infra: bump the patternfly group with 2 updates (dependabot[bot])
- infra: bump eslint-plugin-react in the eslint group (dependabot[bot])
- tests: update reference images (Katerina Koukiou)
- review: hide account section for Workstation media (Katerina Koukiou)
- review: remove the seperate 'Disk encryption' section (Katerina Koukiou)
- Makefile: Update Cockpit lib to 319e2d4539f183dc0914cc1903a09df2 (Cockpit Project)
- package.json: Explicitly depend on stylelint-config-recommended-scss (Martin Pitt)
- tests: introduce new test for dual booting after shrinking existing OS (Katerina Koukiou)
- review: show previous and new size of resized devices (Katerina Koukiou)
- tests: share partitioning setup code in in the reclaim dialog tests (Katerina Koukiou)
- test: add hack to avoid losing focus on the reclaim popover input (Katerina Koukiou)
- storage: implement shrink partition action in reclaim dialog (Katerina Koukiou)
- storage: reclaim modal: wait for the new partitioning before opening the modal (Katerina Koukiou)
